# DiffDialog Class Reference

`#include <diffdialog.h>`

List of all members.

## Public Slots
void | selectLeftFile ()
void | readLeftFile (QString path)
void | readRightFile (QString path)
void | retranslateUi ()
void | selectRightFile ()
## Public Member Functions
| DiffDialog (QWidget *parent=0, PageCtrl *pageCtrl=0)
virtual | ~DiffDialog ()
## Private Slots
void | stat_total (int value)
void | stat_chg (int value)
void | stat_add (int value)
void | stat_del (int value)
void | configureBrowserA ()
void | configureBrowserB ()
## Private Attributes
QLabel * | st_total
QLabel * | st_chg
QLabel * | st_add
QLabel * | st_del
QString | msg_st_total
| message statusbar item total
QString | msg_st_chg
| message statusbar item changes
QString | msg_st_add
| message statusbar item added
QString | msg_st_del
| message statusbar item deleted
PageCtrl * | m_PageCtrl
| instance of PageCtrl class
QBtWorkspace * | m_workspace
| instance of QBtWorkspace class

## Constructor & Destructor Documentation

DiffDialog::DiffDialog | ( | QWidget * | parent = `0`,
|  | PageCtrl * | pageCtrl = `0` |
| ) |  |  |

contructor

DiffDialog::~DiffDialog | ( |  | ) | `[virtual]`

virtaul destructor

## Member Function Documentation

void DiffDialog::configureBrowserA | ( |  | ) | `[private, slot]`

configure brower A

void DiffDialog::configureBrowserB | ( |  | ) | `[private, slot]`

configure brower B

void DiffDialog::readLeftFile | ( | QString | path | ) | `[slot]`

read left file

void DiffDialog::readRightFile | ( | QString | path | ) | `[slot]`

read right file

void DiffDialog::retranslateUi | ( |  | ) | `[slot]`

retranslate Ui

void DiffDialog::selectLeftFile | ( |  | ) | `[slot]`

call file open dialog of workspace

void DiffDialog::selectRightFile | ( |  | ) | `[slot]`

call file open dialog of workspace

void DiffDialog::stat_add | ( | int | value | ) | `[private, slot]`

set text number of added items

void DiffDialog::stat_chg | ( | int | value | ) | `[private, slot]`

set text number of changes

void DiffDialog::stat_del | ( | int | value | ) | `[private, slot]`

set text number of deleted items

void DiffDialog::stat_total | ( | int | value | ) | `[private, slot]`

set text total number of differences

## Member Data Documentation

PageCtrl* DiffDialog::m_PageCtrl`[private]`

instance of PageCtrl class

QBtWorkspace* DiffDialog::m_workspace`[private]`

instance of QBtWorkspace class

QString DiffDialog::msg_st_add`[private]`

message statusbar item added

QString DiffDialog::msg_st_chg`[private]`

message statusbar item changes

QString DiffDialog::msg_st_del`[private]`

message statusbar item deleted

QString DiffDialog::msg_st_total`[private]`

message statusbar item total

QLabel* DiffDialog::st_add`[private]`

QLabel* DiffDialog::st_chg`[private]`

QLabel* DiffDialog::st_del`[private]`

QLabel* DiffDialog::st_total`[private]`

The documentation for this class was generated from the following files:

- diffdialog.h
- diffdialog.cpp